Loading...
Searching...
No Matches
PluginPresetPopup Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for PluginPresetPopup:

## Public Member Functions

| PluginPresetPopup (const PluginDef *pdef, gx_engine::GxMachineBase &machine, const Glib::ustring &save_name_default="")
gx_preset::UnitPresetList::const_iterator | begin ()
gx_preset::UnitPresetList::const_iterator | end ()
const PluginDef * | get_pdef ()
gx_engine::GxMachineBase & | get_machine ()

## Protected Member Functions

virtual void | on_selection_done ()

## Private Member Functions

void | set_plugin_std_preset ()
void | set_plugin_preset (bool factory, const Glib::ustring &name)
bool | add_plugin_preset_list (bool *found)
void | save_plugin_preset ()
void | remove_plugin_preset ()

## Private Attributes

const PluginDef * | pdef
gx_engine::GxMachineBase & | machine
const Glib::ustring | save_name_default
gx_preset::UnitPresetList | presetnames

## Detailed Description

Definition at line 667 of file gx_main_window.h.

## Constructor & Destructor Documentation

## PluginPresetPopup()

PluginPresetPopup::PluginPresetPopup | ( | const PluginDef * | pdef,
|  | gx_engine::GxMachineBase & | machine,
|  | const Glib::ustring & | save_name_default = "" )

## Member Function Documentation

## add_plugin_preset_list()

bool PluginPresetPopup::add_plugin_preset_list | ( | bool * | found | ) |

private

## begin()

gx_preset::UnitPresetList::const_iterator PluginPresetPopup::begin | ( |  | ) |

inline

Definition at line 683 of file gx_main_window.h.

## end()

gx_preset::UnitPresetList::const_iterator PluginPresetPopup::end | ( |  | ) |

inline

Definition at line 684 of file gx_main_window.h.

## get_machine()

gx_engine::GxMachineBase & PluginPresetPopup::get_machine | ( |  | ) |

inline

Definition at line 686 of file gx_main_window.h.

## get_pdef()

const PluginDef * PluginPresetPopup::get_pdef | ( |  | ) |

inline

Definition at line 685 of file gx_main_window.h.

## on_selection_done()

virtual void PluginPresetPopup::on_selection_done | ( |  | ) |

protected virtual

## remove_plugin_preset()

void PluginPresetPopup::remove_plugin_preset | ( |  | ) |

private

## save_plugin_preset()

void PluginPresetPopup::save_plugin_preset | ( |  | ) |

private

## set_plugin_preset()

void PluginPresetPopup::set_plugin_preset | ( | bool | factory,
|  | const Glib::ustring & | name )

private

## set_plugin_std_preset()

void PluginPresetPopup::set_plugin_std_preset | ( |  | ) |

private

## Member Data Documentation

## machine

gx_engine::GxMachineBase& PluginPresetPopup::machine

private

Definition at line 670 of file gx_main_window.h.

Referenced by get_machine(), and PluginPresetPopup().

## pdef

const PluginDef* PluginPresetPopup::pdef

private

Definition at line 669 of file gx_main_window.h.

Referenced by get_pdef(), and PluginPresetPopup().

## presetnames

gx_preset::UnitPresetList PluginPresetPopup::presetnames

private

Definition at line 672 of file gx_main_window.h.

Referenced by begin(), and end().

## save_name_default

const Glib::ustring PluginPresetPopup::save_name_default

private

Definition at line 671 of file gx_main_window.h.

Referenced by PluginPresetPopup().

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h